//
//  CampusView.swift
//  CSkiosk
//
//  Created by Emily Techmeier on 2/22/15.
//  Copyright (c) 2015 Emily Techmeier. All rights reserved.
//

import UIKit
import MediaPlayer


class CampusView: UIViewController {

    
    @IBOutlet weak var imageView: UIImageView!
    
    @IBOutlet weak var image1: UIButton!
    @IBOutlet weak var image2: UIButton!
    @IBOutlet weak var image3: UIButton!
    @IBOutlet weak var image4: UIButton!
    @IBOutlet weak var image5: UIButton!
    @IBOutlet weak var image6: UIButton!
    @IBOutlet weak var image7: UIButton!
    @IBOutlet weak var image8: UIButton!
    @IBOutlet weak var image9: UIButton!
    
    @IBOutlet weak var sncWebsiteButton: UIButton!
    
    @IBOutlet weak var dropOpacity: UILabel!
    @IBOutlet weak var exitButton: UIButton!
    @IBOutlet weak var captionLabel: UILabel!
    
    
    var moviePlayer : MPMoviePlayerController!
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        imageView.hidden = true
        dropOpacity.hidden = true
        exitButton.hidden = true
        captionLabel.hidden = true
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
     
    }
    
    
    @IBAction func image1Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc1.jpg")
        captionLabel.text = "The iconic St. Norbert College arch marks the beginning of the Baer Mall, the brick walkway from 3rd Street to Main Hall, the campus's first building.  Behind the arch, you see the Mulva Library, built in 2009."
        imageView.image = image1
        imageView.hidden = false
    }
    
    @IBAction func image2Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc2.jpg")
        captionLabel.text = "This bird's eye view shows Cofrin Hall, home of the Math and Computer Science departments, on the left and the F.K. Bemis Conference Center on the right."
        imageView.image = image1
        imageView.hidden = false
    }
  
    @IBAction func image3Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc3.jpg")
        captionLabel.text = "St. Norbert campus is known for being gorgeous in the fall.  Here are some of the pretty colors in the area in front of the Van den Heuvel Campus Center."
        imageView.image = image1
        imageView.hidden = false
    }
    
    @IBAction func image4Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc4.jpg")
        captionLabel.text = "As a freshman and sophomore, you share a room with another student in one of our many dorms on campus.  Here is a standard dorm room, complete with lofts to give more space in the room."
        imageView.image = image1
        imageView.hidden = false
    }

    @IBAction func image5Action(sender: UIButton) {
        
        //LINK TO YOUTUBE CAMPUS VIDEO
        if let url = NSURL(string: "https://www.youtube.com/watch?v=CnNB3edoxgs") {
            UIApplication.sharedApplication().openURL(url)
        }
        
    }
    
    @IBAction func image6Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc6.jpg")
        captionLabel.text = "The basement of the Mulva Library was recently renovated into a state-of-the-art space for group studying. The way that the tables and study areas are set up facilitate group discussions where students don't have to be quite as quiet as in the rest of the library."
        imageView.image = image1
        imageView.hidden = false
    }
    
    @IBAction func image7Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc7.jpg")
        captionLabel.text = "Dale's Sports Lounge is open in the evenings.  It has many TVs that are turned to various sporting events and serves sports bar foods like wings and nachos."
        imageView.image = image1
        imageView.hidden = false
    }
    
    @IBAction func image8Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc8.jpg")
        captionLabel.text = "This sign is visible from the main road that runs through De Pere.  During the Christmas season, a large lit Christmas tree is assembled behind it."
        imageView.image = image1
        imageView.hidden = false
    }
    
    @IBAction func image9Action(sender: UIButton) {
        
        dropOpacity.hidden = false
        captionLabel.hidden = false
        exitButton.hidden = false
        let image1 = UIImage(named: "snc9.jpg")
        captionLabel.text = "The brand new Gehl-Mulva Science Center is opening in Fall 2015.  The building has all new labs and equipment, and will house the Medical College of Wisconsin."
        imageView.image = image1
        imageView.hidden = false
    }
    
    @IBAction func exitAction(sender: UIButton) {
        
        dropOpacity.hidden = true
        exitButton.hidden = true
        imageView.hidden = true
        captionLabel.hidden = true
        
        
    }
    
    @IBAction func sncWebsiteAction(sender: UIButton) {
        
        //LINK TO SNC.EDU
        if let url = NSURL(string: "https://www.snc.edu") {
            UIApplication.sharedApplication().openURL(url)
        }
    }
}
